//priority: 10000
events.listen('recipes', function (e) {

    unify()
    gear()
    plate()
    dust()
    nugget()
    block()

    function unify() {
        /**********************REMOVE**********************/
        //tinker
        e.remove({id:'createaddition:rolling/copper_plate'})
        e.remove({id:'tconstruct:smeltery/casting/metal/copper/ingot_gold_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/copper/ingot_sand_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/tin/ingot_gold_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/tin/ingot_sand_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/aluminum/ingot_gold_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/aluminum/ingot_sand_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/bronze/ingot_gold_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/bronze/ingot_sand_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/constantan/ingot_gold_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/constantan/ingot_sand_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/electrum/ingot_gold_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/electrum/ingot_sand_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/lead/ingot_gold_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/lead/ingot_sand_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/nickel/ingot_gold_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/nickel/ingot_sand_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/silver/ingot_gold_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/silver/ingot_sand_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/zinc/ingot_gold_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/zinc/ingot_sand_cast'})
        //immersive
        e.remove({id:'immersiveengineering:arcfurnace/dust_copper'})
        e.remove({id:'immersiveengineering:arcfurnace/ore_copper'})
        e.remove({id:'immersiveengineering:arcfurnace/dust_aluminum'})
        e.remove({id:'immersiveengineering:arcfurnace/ore_aluminum'})
        e.remove({id:'immersiveengineering:arcfurnace/dust_zinc'})
        e.remove({id:'immersiveengineering:arcfurnace/ore_zinc'})
        //create
        e.remove({id:'createaddition:compat/immersiveengineering/electrum'})
        e.remove({id:'createaddition:compat/immersiveengineering/constantan'})
        //mekanism
        e.remove({id:'mekanism:processing/bronze/ingot/from_infusing'})
        e.remove({id:'mekanism:processing/copper/ore/from_dust'})
        e.remove({id:'mekanism:processing/tin/ore/from_dust'})
        e.remove({id:'mekanism:processing/uranium/ore/from_dust'})
        e.remove({id:'mekanism:processing/lead/ore/from_dust'})
        //Thermal
        e.remove({id:'thermal:compat/create/smelter_create_zinc_ore'})
        e.remove({id:'thermal:machine/pulverizer/pulverizer_ruby_ore'})
        e.remove({id:'thermal:machine/pulverizer/pulverizer_sapphire_ore'})
        e.remove({id:'thermal:machine/smelter/smelter_ruby_ore'})
        e.remove({id:'thermal:machine/smelter/smelter_sapphire_ore'})
        e.remove({id:'thermal:machine/press/unpacking/press_ruby_ore'})
        e.remove({id:'thermal:machine/press/unpacking/press_sapphire_ore'})
        e.remove({id:'thermal:machine/press/packing3x3/press_ruby_packing'})
        e.remove({id:'thermal:machine/press/packing3x3/press_sapphire_packing'})
        e.remove({id:'thermal:machine/press/unpacking/press_ruby_unpacking'})
        e.remove({id:'thermal:machine/press/unpacking/press_sapphire_unpacking'})
        //other
        e.remove({id:'eidolon:lead_ingot'})
        e.remove({id:'eidolon:blast_lead_ore'})
        e.remove({id:'eidolon:blast_lead_dust'})
        e.remove({id:'create:blasting/lead_ingot_compat_eidolon'})
        e.remove({id:'eidolon:smelt_lead_ore'})
        e.remove({id:'eidolon:smelt_lead_dust'})
        e.remove({id:'create:smelting/lead_ingot_compat_eidolon'})
        e.remove({id:'eidolon:decompress_lead_block'})
        e.remove({id:'iceandfire:sapphire_block_to_stones'})
        //replace
        replaceIO('#forge:ingots/copper','thermal:copper_ingot')
        replaceIO('#forge:ingots/lead','thermal:lead_ingot')
        replaceIO('#forge:ingots/silver','thermal:silver_ingot')
        replaceIO('#forge:ingots/nickel','thermal:nickel_ingot')
        replaceIO('#forge:ingots/bronze','thermal:bronze_ingot')
        replaceIO('#forge:ingots/electrum','thermal:electrum_ingot')
        replaceIO('#forge:ingots/invar','thermal:invar_ingot')
        replaceIO('#forge:ingots/constantan','thermal:constantan_ingot')
        replaceIO('#forge:ingots/tin','thermal:tin_ingot')
        replaceIO('#forge:ingots/brass','create:brass_ingot')
        replaceIO('#forge:ingots/aluminium','janoeo:aluminium_ingot')
        replaceIO('#forge:ingots/aluminum','janoeo:aluminium_ingot')
        replaceIO('#forge:ingots/steel','mekanism:ingot_steel')
        replaceIO('#forge:ingots/uranium','mekanism:ingot_uranium')
        replaceIO('#forge:ingots/brass','create:brass_ingot')
        replaceIO('#forge:ingots/zinc','janoeo:zinc_ingot')
        replaceIO('#forge:ingots/osmium','mekanism:ingot_osmium')
        replaceIO('#forge:ores/lead','thermal:lead_ore')
        replaceIO('#forge:ores/copper','thermal:copper_ore')
        replaceIO('#forge:ores/uranium','janoeo:uranium_ore')
        replaceIO('#forge:ores/tin','thermal:tin_ore')
        replaceIO('#forge:ores/silver','thermal:silver_ore')
        replaceIO('#forge:ores/nickel','thermal:nickel_ore')
        replaceIO('#forge:ores/aluminum','janoeo:aluminium_ore')
        replaceIO('#forge:ores/ruby','bluepower:ruby_ore')
        replaceIO('#forge:ores/sapphire','bluepower:sapphire_ore')
        replaceIO('#forge:rods/iron','createaddition:iron_rod')
        replaceIO('#forge:bitumen','thermal:bitumen')
        replaceIO('forbidden_arcanus:arcane_gold_nugget', 'eidolon:arcane_gold_nugget')
        replaceIO('forbidden_arcanus:arcane_gold_ingot', 'eidolon:arcane_gold_ingot')        
        replaceIO('forbidden_arcanus:arcane_gold_block', 'eidolon:arcane_gold_block')
        //witherbone
        replaceIO('#forge:bones/wither', 'tconstruct:necrotic_bone')
        replaceIO('#forge:wither_bones', 'tconstruct:necrotic_bone')
        //Cast ingot Tinker        
        tinkerCasting("tconstruct:molten_aluminum", 144, "janoeo:aluminium_ingot", "tconstruct:casts/multi_use/ingot", false, 100)
        tinkerCasting("tconstruct:molten_aluminum", 144, "janoeo:aluminium_ingot", "tconstruct:casts/single_use/ingot", true, 100)
        tinkerCasting("tconstruct:molten_copper", 144, "thermal:copper_ingot", "tconstruct:casts/multi_use/ingot", false, 100)
        tinkerCasting("tconstruct:molten_copper", 144, "thermal:copper_ingot", "tconstruct:casts/single_use/ingot", true, 100)
        tinkerCasting("tconstruct:molten_tin", 144, "thermal:tin_ingot", "tconstruct:casts/multi_use/ingot", false, 100)
        tinkerCasting("tconstruct:molten_tin", 144, "thermal:tin_ingot", "tconstruct:casts/single_use/ingot", true, 100)
        tinkerCasting("tconstruct:molten_bronze", 144, "thermal:bronze_ingot", "tconstruct:casts/multi_use/ingot", false, 100)
        tinkerCasting("tconstruct:molten_bronze", 144, "thermal:bronze_ingot", "tconstruct:casts/single_use/ingot", true, 100)
        tinkerCasting("tconstruct:molten_constantan", 144, "thermal:constantan_ingot", "tconstruct:casts/multi_use/ingot", false, 100)
        tinkerCasting("tconstruct:molten_constantan", 144, "thermal:constantan_ingot", "tconstruct:casts/single_use/ingot", true, 100)
        tinkerCasting("tconstruct:molten_electrum", 144, "thermal:electrum_ingot", "tconstruct:casts/multi_use/ingot", false, 100)
        tinkerCasting("tconstruct:molten_electrum", 144, "thermal:electrum_ingot", "tconstruct:casts/single_use/ingot", true, 100)
        tinkerCasting("tconstruct:molten_lead", 144, "thermal:lead_ingot", "tconstruct:casts/multi_use/ingot", false, 100)
        tinkerCasting("tconstruct:molten_lead", 144, "thermal:lead_ingot", "tconstruct:casts/single_use/ingot", true, 100)
        tinkerCasting("tconstruct:molten_nickel", 144, "thermal:nickel_ingot", "tconstruct:casts/multi_use/ingot", false, 100)
        tinkerCasting("tconstruct:molten_nickel", 144, "thermal:nickel_ingot", "tconstruct:casts/single_use/ingot", true, 100)
        tinkerCasting("tconstruct:molten_silver", 144, "thermal:silver_ingot", "tconstruct:casts/multi_use/ingot", false, 100)
        tinkerCasting("tconstruct:molten_silver", 144, "thermal:silver_ingot", "tconstruct:casts/single_use/ingot", true, 100)
        tinkerCasting("tconstruct:molten_zinc", 144, "janoeo:zinc_ingot", "tconstruct:casts/multi_use/ingot", false, 100)
        tinkerCasting("tconstruct:molten_zinc", 144, "janoeo:zinc_ingot", "tconstruct:casts/single_use/ingot", true, 100)
        tinkerCasting("tconstruct:molten_uranium", 144, "mekanism:ingot_uranium", "tconstruct:casts/multi_use/ingot", false, 100)
        tinkerCasting("tconstruct:molten_uranium", 144, "mekanism:ingot_uranium", "tconstruct:casts/single_use/ingot", true, 100)
        //Ingot Blast Chiller
        blastChiller("tconstruct:molten_brass", 144, "create:brass_ingot", 5000)
        blastChiller("tconstruct:molten_uranium", 144, "mekanism:ingot_uranium", 5000)
        blastChiller("kubejs:molten_enderium", 144, "thermal:enderium_ingot", 5000)
        blastChiller("kubejs:molten_lumium", 144, "thermal:lumium_ingot", 5000)
        blastChiller("kubejs:molten_signalum", 144, "thermal:signalum_ingot", 5000)
        //mekanism
        oreFromDust('forge:dusts/copper', 'thermal:copper_ore')
        oreFromDust('forge:dusts/tin', 'thermal:tin_ore')
        oreFromDust('forge:dusts/uranium', 'janoeo:uranium_ore')
        oreFromDust('forge:dusts/lead', 'thermal:lead_ore')
        oreFromDust('forge:dusts/silver', 'thermal:silver_ore')
        oreFromDust('forge:dusts/nickel', 'thermal:nickel_ore')
        oreFromDust('forge:dusts/aluminium', 'janoeo:aluminium_ore')
        oreFromDust('forge:dusts/zinc', 'janoeo:zinc_ore')
        oreFromDust('forge:dusts/zinc', 'janoeo:zinc_ore')
        e.custom({"type":"mekanism:metallurgic_infusing","itemInput":{"amount":3,"ingredient":{"tag":"forge:ingots/copper"}},"infusionInput":{"amount":10,"tag":"mekanism:tin"},"output":{"item":"thermal:bronze_ingot","count":4}})
        e.custom({"type":"createaddition:rolling","input": {"tag": "forge:plates/copper"},"result": {"item": "immersiveengineering:wire_copper","count": 2}})
        e.custom({"type":"createaddition:rolling","input": {"tag": "forge:ingots/lead"},"result": {"item": "immersiveengineering:wire_lead","count": 2}})
        //gem
        createCrushingOre('forge:ores/amethyst', 'bluepower:amethyst_gem', 'minecraft:cobblestone')
        createCrushingOre('forge:ores/green_sapphire', 'bluepower:green_sapphire_gem', 'minecraft:cobblestone')
        createCrushingOre('forge:ores/sapphire', 'bluepower:sapphire_gem', 'minecraft:cobblestone')
        createCrushingOre('forge:ores/ruby', 'bluepower:ruby_gem', 'minecraft:cobblestone')
        pulverizerThermalOre('forge:ores/amethyst', 'bluepower:amethyst_gem')
        pulverizerThermalOre('forge:ores/green_sapphire', 'bluepower:green_sapphire_gem')
        pulverizerThermalOre('forge:ores/sapphire', 'bluepower:sapphire_gem')
        pulverizerThermalOre('forge:ores/ruby', 'bluepower:ruby_gem')
        pulverizerThermalOre('forge:ores/prosperity', 'mysticalagriculture:prosperity_shard')
        pulverizerThermalOre('forge:ores/inferium', 'mysticalagriculture:inferium_essence')
        immersiveCrusher('forge:ores/amethyst', 'bluepower:amethyst_gem', 'minecraft:gravel')
        immersiveCrusher('forge:ores/green_sapphire', 'bluepower:green_sapphire_gem', 'minecraft:gravel')
        immersiveCrusher('forge:ores/sapphire', 'bluepower:sapphire_gem', 'minecraft:gravel')
        immersiveCrusher('forge:ores/ruby', 'bluepower:ruby_gem', 'minecraft:gravel')
        immersiveCrusher('forge:ores/dimshard', 'rftoolsbase:dimensionalshard', 'minecraft:gravel')
        immersiveCrusher('forge:ores/prosperity', 'mysticalagriculture:prosperity_shard', 'minecraft:gravel')
        immersiveCrusher('forge:ores/inferium', 'mysticalagriculture:inferium_essence', 'minecraft:gravel')
        dustFromOre('forge:ores/amethyst', 'bluepower:amethyst_gem')
        dustFromOre('forge:ores/green_sapphire', 'bluepower:green_sapphire_gem')
        dustFromOre('forge:ores/sapphire', 'bluepower:sapphire_gem')
        dustFromOre('forge:ores/ruby', 'bluepower:ruby_gem')
        intedynaSqueezer('forge:ores/amethyst', 'forge:gems/amethyst')
        intedynaSqueezer('forge:ores/green_sapphire', 'forge:gems/green_sapphire')
        intedynaSqueezer('forge:ores/sapphire', 'forge:gems/sapphire')
        intedynaSqueezer('forge:ores/ruby', 'forge:gems/ruby')
        intedynaMecaSqueezer('forge:ores/amethyst', 'forge:gems/amethyst')
        intedynaMecaSqueezer('forge:ores/green_sapphire', 'forge:gems/green_sapphire')
        intedynaMecaSqueezer('forge:ores/sapphire', 'forge:gems/sapphire')
        intedynaMecaSqueezer('forge:ores/ruby', 'forge:gems/ruby')
        combinerMeka('bluepower:amethyst_gem', 'bluepower:amethyst_ore')
        combinerMeka('bluepower:green_sapphire_gem', 'bluepower:green_sapphire_ore')
        combinerMeka('bluepower:sapphire_gem', 'bluepower:sapphire_ore')
        combinerMeka('bluepower:ruby_gem', 'bluepower:ruby_ore')
        //Arcfurnace
        arcFurnaceOre('forge:ores/aluminium', 'forge:ingots/aluminium')
        arcFurnaceDust('forge:dusts/aluminium', 'forge:ingots/aluminium')
        arcFurnaceOre('forge:ores/copper', 'forge:ingots/copper')
        arcFurnaceDust('forge:dusts/copper', 'forge:ingots/copper')
        arcFurnaceOre2('forge:ores/zinc', 'janoeo:zinc_ingot')
        arcFurnaceDust2('forge:dusts/zinc', 'janoeo:zinc_ingot')
        arcFurnaceOre2('forge:ores/uranium', 'mekanism:ingot_uranium')
        arcFurnaceDust2('forge:dusts/uranium', 'mekanism:ingot_uranium')
        //Furnace+Blast
        e.blasting('#forge:ingots/aluminium', 'janoeo:aluminium_nether_ore').xp(0.1)
        e.smelting('#forge:ingots/aluminium', 'janoeo:aluminium_nether_ore').xp(0.1)
        e.blasting('thermal:tin_ingot', 'janoeo:tin_nether_ore').xp(0.1)
        e.smelting('thermal:tin_ingot', 'janoeo:tin_nether_ore').xp(0.1)
        e.blasting('#forge:ingots/gold', 'byg:blue_nether_gold_ore').xp(0.1)
        e.smelting('#forge:ingots/gold', 'byg:blue_nether_gold_ore').xp(0.1)
        e.blasting('#forge:ingots/gold', 'byg:brimstone_nether_gold_ore').xp(0.1)
        e.smelting('#forge:ingots/gold', 'byg:brimstone_nether_gold_ore').xp(0.1)
        e.blasting('#forge:ingots/aluminium', '#forge:dusts/aluminium').xp(0.1)
        e.smelting('#forge:ingots/aluminium', '#forge:dusts/aluminium').xp(0.1)
        e.blasting('#forge:gems/lapis', 'gildedingot:basalt_lapis').xp(0.1)
        e.smelting('#forge:gems/lapis', 'gildedingot:basalt_lapis').xp(0.1)
        e.blasting('thermal:copper_ingot', 'janoeo:copper_nether_ore').xp(0.1)
        e.smelting('thermal:copper_ingot', 'janoeo:copper_nether_ore').xp(0.1)
        e.blasting('thermal:silver_ingot', 'janoeo:silver_nether_ore').xp(0.1)
        e.smelting('thermal:silver_ingot', 'janoeo:silver_nether_ore').xp(0.1)
        e.blasting('janoeo:zinc_ingot', 'bluepower:zinc_dust').xp(0.1)
        e.smelting('janoeo:zinc_ingot', 'bluepower:zinc_dust').xp(0.1)
        e.blasting('mekanism:ingot_uranium', 'janoeo:uranium_nether_ore').xp(0.1)
        e.smelting('mekanism:ingot_uranium', 'janoeo:uranium_nether_ore').xp(0.1)
        e.blasting('thermal:lead_ingot', 'janoeo:lead_nether_ore').xp(0.1)
        e.smelting('thermal:lead_ingot', 'janoeo:lead_nether_ore').xp(0.1)
        e.blasting('#forge:gems/quartz', 'byg:blue_nether_quartz_ore').xp(0.2)
        e.smelting('#forge:gems/quartz', 'byg:blue_nether_quartz_ore').xp(0.2)
        e.blasting('#forge:gems/quartz', 'byg:brimstone_nether_quartz_ore').xp(0.2)
        e.smelting('#forge:gems/quartz', 'byg:brimstone_nether_quartz_ore').xp(0.2)
        e.blasting('mysticalagriculture:prosperity_shard', '#forge:ores/prosperity').xp(0.1)
        e.smelting('mysticalagriculture:prosperity_shard', '#forge:ores/prosperity').xp(0.1)
        e.blasting('mysticalagriculture:inferium_essence', '#forge:ores/inferium').xp(0.1)
        e.smelting('mysticalagriculture:inferium_essence', '#forge:ores/inferium').xp(0.1)
        e.blasting('rftoolsbase:dimensionalshard', '#forge:ores/dimshard').xp(0.1)
        e.smelting('rftoolsbase:dimensionalshard', '#forge:ores/dimshard').xp(0.1)
        //Create
        e.custom({"type": "create:crushing","ingredients": [{"tag": "forge:ores/lapis"}],"results": [{"item": "minecraft:lapis_lazuli","count": 12},{"item": "minecraft:lapis_lazuli","count": 8,"chance": 0.25},{"item": "minecraft:cobblestone","chance": 0.125}],"processingTime": 300})
        e.custom({"type": "create:crushing","ingredients": [{"item": "janoeo:coal_gravel_ore"}],"results": [{"item": "minecraft:coal","count": 2},{"item": "minecraft:coal","count": 2,"chance": 0.5},{"item": "minecraft:gravel","chance": 0.125}],"processingTime": 300})
        e.custom({"type": "create:crushing","ingredients": [{"item": "undergarden:coal_ore"}],"results": [{"item": "minecraft:coal","count": 2},{"item": "minecraft:coal","count": 2,"chance": 0.5},{"item": "undergarden:depthrock","chance": 0.125}],"processingTime": 300})
        e.custom({"type": "create:crushing","ingredients": [{"item": "byg:cryptic_redstone_ore"}],"results": [{"item": "minecraft:redstone","count": 8},{"item": "minecraft:redstone","count": 6,"chance": 0.25},{"item": "byg:cryptic_stone","chance": 0.125}],"processingTime": 300})
        e.custom({"type": "create:crushing","ingredients": [{"item": "janoeo:diamond_nether_ore"}],"results": [{"item": "minecraft:diamond","count": 2},{"item": "minecraft:diamond","chance": 0.25},{"item": "minecraft:netherrack","chance": 0.125}],"processingTime": 500})
        e.custom({"type": "create:crushing","ingredients": [{"item": "janoeo:diamond_end_ore"}],"results": [{"item": "minecraft:diamond","count": 2},{"item": "minecraft:diamond","chance": 0.25},{"item": "minecraft:end_stone","chance": 0.125}],"processingTime": 500})
        e.custom({"type": "create:crushing","ingredients": [{"item": "janoeo:diamond_gravel_ore"}],"results": [{"item": "minecraft:diamond","count": 2},{"item": "minecraft:diamond","chance": 0.25},{"item": "minecraft:gravel","chance": 0.125}],"processingTime": 500})
        e.custom({"type": "create:crushing","ingredients": [{"item": "janoeo:diamond_basalt_ore"}],"results": [{"item": "minecraft:diamond","count": 2},{"item": "minecraft:diamond","chance": 0.25},{"item": "minecraft:basalt","chance": 0.125}],"processingTime": 500})
        e.custom({"type": "create:crushing","ingredients": [{"item": "undergarden:diamond_ore"}],"results": [{"item": "minecraft:diamond","count": 2},{"item": "minecraft:diamond","chance": 0.25},{"item": "undergarden:depthrock","chance": 0.125}],"processingTime": 500})
        e.custom({"type": "create:crushing","ingredients": [{"item": "janoeo:emerald_nether_ore"}],"results": [{"item": "minecraft:emerald","count": 2},{"item": "minecraft:emerald","chance": 0.25},{"item": "minecraft:netherrack","chance": 0.125}],"processingTime": 500})
        e.custom({"type": "create:crushing","ingredients": [{"item": "janoeo:emerald_end_ore"}],"results": [{"item": "minecraft:emerald","count": 2},{"item": "minecraft:emerald","chance": 0.25},{"item": "minecraft:end_stone","chance": 0.125}],"processingTime": 500})
        e.custom({"type": "create:crushing","ingredients": [{"item": "janoeo:emerald_gravel_ore"}],"results": [{"item": "minecraft:emerald","count": 2},{"item": "minecraft:emerald","chance": 0.25},{"item": "minecraft:gravel","chance": 0.125}],"processingTime": 500})
        e.custom({"type": "create:crushing","ingredients": [{"item": "janoeo:emerald_basalt_ore"}],"results": [{"item": "minecraft:emerald","count": 2},{"item": "minecraft:emerald","chance": 0.25},{"item": "minecraft:basalt","chance": 0.125}],"processingTime": 500})
        e.custom({"type": "create:crushing","ingredients": [{"item": "byg:blue_nether_quartz_ore"}],"results": [{"item": "minecraft:quartz","count": 2},{"item": "minecraft:quartz","count": 4,"chance": 0.5},{"item": "byg:blue_netherrack","chance": 0.125}],"processingTime": 350})
        e.custom({"type": "create:crushing","ingredients": [{"item": "byg:brimstone_nether_quartz_ore"}],"results": [{"item": "minecraft:quartz","count": 2},{"item": "minecraft:quartz","count": 4,"chance": 0.5},{"item": "byg:brimstone","chance": 0.125}],"processingTime": 350})
        e.custom({"type": "create:crushing","ingredients": [{"item": "rftoolsbase:dimensionalshard_overworld"}],"results": [{"item": "rftoolsbase:dimensionalshard","count": 2},{"item": "rftoolsbase:dimensionalshard","count": 4,"chance": 0.5},{"item": "minecraft:cobblestone","chance": 0.125}],"processingTime": 350})
        e.custom({"type": "create:crushing","ingredients": [{"item": "rftoolsbase:dimensionalshard_nether"}],"results": [{"item": "rftoolsbase:dimensionalshard","count": 2},{"item": "rftoolsbase:dimensionalshard","count": 4,"chance": 0.5},{"item": "minecraft:netherrack","chance": 0.125}],"processingTime": 350})
        e.custom({"type": "create:crushing","ingredients": [{"item": "rftoolsbase:dimensionalshard_end"}],"results": [{"item": "rftoolsbase:dimensionalshard","count": 2},{"item": "rftoolsbase:dimensionalshard","count": 4,"chance": 0.5},{"item": "minecraft:end_stone","chance": 0.125}],"processingTime": 350})
        e.custom({"type": "create:crushing","ingredients": [{"item": "mysticalagriculture:inferium_ore"}],"results": [{"item": "mysticalagriculture:inferium_essence","count": 2},{"item": "mysticalagriculture:inferium_essence","count": 4,"chance": 0.5},{"item": "minecraft:cobblestone","chance": 0.125}],"processingTime": 350})
        e.custom({"type": "create:crushing","ingredients": [{"item": "mysticalagradditions:nether_inferium_ore"}],"results": [{"item": "mysticalagriculture:inferium_essence","count": 2},{"item": "mysticalagriculture:inferium_essence","count": 4,"chance": 0.5},{"item": "minecraft:netherrack","chance": 0.125}],"processingTime": 350})
        e.custom({"type": "create:crushing","ingredients": [{"item": "mysticalagradditions:end_inferium_ore"}],"results": [{"item": "mysticalagriculture:inferium_essence","count": 2},{"item": "mysticalagriculture:inferium_essence","count": 4,"chance": 0.5},{"item": "minecraft:end_stone","chance": 0.125}],"processingTime": 350})
        e.custom({"type": "create:crushing","ingredients": [{"item": "mysticalagriculture:prosperity_ore"}],"results": [{"item": "mysticalagriculture:prosperity_shard","count": 2},{"item": "mysticalagriculture:prosperity_shard","count": 4,"chance": 0.5},{"item": "minecraft:cobblestone","chance": 0.125}],"processingTime": 350})
        e.custom({"type": "create:crushing","ingredients": [{"item": "mysticalagradditions:nether_prosperity_ore"}],"results": [{"item": "mysticalagriculture:prosperity_shard","count": 2},{"item": "mysticalagriculture:prosperity_shard","count": 4,"chance": 0.5},{"item": "minecraft:netherrack","chance": 0.125}],"processingTime": 350})
        e.custom({"type": "create:crushing","ingredients": [{"item": "mysticalagradditions:end_prosperity_ore"}],"results": [{"item": "mysticalagriculture:prosperity_shard","count": 2},{"item": "mysticalagriculture:prosperity_shard","count": 4,"chance": 0.5},{"item": "minecraft:end_stone","chance": 0.125}],"processingTime": 350})
        //squeezer Dynamics
        intedynaSqueezer('forge:ores/dimshard', 'forge:shard/dimshard')
        intedynaMecaSqueezer('forge:ores/dimshard', 'forge:shard/dimshard')
        intedynaSqueezer('forge:ores/prosperity', 'forge:shard/prosperity')
        intedynaMecaSqueezer('forge:ores/prosperity', 'forge:shard/prosperity')
        intedynaSqueezer('forge:ores/inferium', 'forge:essence/inferium')
        intedynaMecaSqueezer('forge:ores/inferium', 'forge:essence/inferium')

        //Tinker  
        tinkerMelt('forge:ores/redstone', 'kubejs:molten_redstone', 900, 500, 320)
        //Combining
        e.custom({"type":"mekanism:combining","mainInput":{"amount":8,"ingredient":{"item":'rftoolsbase:dimensionalshard'}},"extraInput":{"ingredient":{"tag":"forge:cobblestone"}},"output":{"item":'rftoolsbase:dimensionalshard_overworld'}})
        e.custom({"type":"mekanism:combining","mainInput":{"amount":8,"ingredient":{"item":'mysticalagriculture:prosperity_shard'}},"extraInput":{"ingredient":{"tag":"forge:cobblestone"}},"output":{"item":'mysticalagriculture:prosperity_ore'}})
        e.custom({"type":"mekanism:combining","mainInput":{"amount":8,"ingredient":{"item":'mysticalagriculture:inferium_essence'}},"extraInput":{"ingredient":{"tag":"forge:cobblestone"}},"output":{"item":'mysticalagriculture:inferium_ore'}})
    }
    function block() {
        replaceIO('forge:storage_blocks/copper', 'thermal:copper_block')
        replaceIO('forge:storage_blocks/lead', 'thermal:lead_block')
        replaceIO('forge:storage_blocks/tin', 'thermal:tin_block')
        replaceIO('forge:storage_blocks/silver', 'thermal:silver_block')
        replaceIO('forge:storage_blocks/bronze', 'thermal:bronze_block')
        replaceIO('forge:storage_blocks/nickel', 'thermal:nickel_block')
        replaceIO('forge:storage_blocks/constantan', 'thermal:constantan_block')
        replaceIO('forge:storage_blocks/zinc', 'create:zinc_block')
        replaceIO('forge:storage_blocks/uranium', 'mekanism:block_ranium')
        replaceIO('forge:storage_blocks/steel', 'mekanism:block_steel')
        replaceIO('forge:storage_blocks/sapphire', 'bluepower:sapphire_block')
        replaceIO('forge:storage_blocks/gree_sapphire', 'bluepower:gree_sapphire_block')
        replaceIO('forge:storage_blocks/ruby', 'bluepower:ruby_block')
        replaceIO('forge:storage_blocks/amethyst', 'bluepower:amethyst_block')

        /**********************REMOVE**********************/
        //blocks
        e.remove({id:'bluepower:copper_block'})
        e.remove({id:'create:crafting/materials/copper_block_from_compacting'})
        e.remove({id:'iceandfire:copper_block'})
        e.remove({id:'mekanism:processing/copper/storage_blocks/from_ingots'})
        e.remove({id:'tconstruct:common/materials/copper_block_from_ingots'})
        e.remove({id:'eidolon:lead_block'})
        e.remove({id:'mekanism:processing/lead/storage_blocks/from_ingots'})
        e.remove({id:'mekanism:processing/tin/storage_blocks/from_ingots'})
        e.remove({id:'bluepower:zinc_block'})
        e.remove({id:'bluepower:silver_block'})
        e.remove({id:'mekanism:storage_blocks/bronze'})
        e.remove({id:'iceandfire:silver_block'})
        e.remove({id:'iceandfire:sapphire_block'})
        e.remove({id:'iceandfire:amythest_block'})
        e.remove({id:'iceandfire:amythest_block_to_gems'})
        e.remove({id:'janoeo:sapphire_block'})
        e.remove({id:'janoeo:ruby_block'})
        e.remove({id:'janoeo:sapphire_from_block'})
        e.remove({id:'janoeo:ruby_from_block'})
        //tinker
        e.remove({id:'tconstruct:smeltery/casting/metal/copper/block'})
        e.remove({id:'tconstruct:smeltery/casting/metal/lead/block'})
        e.remove({id:'tconstruct:smeltery/casting/metal/uranium/block'})
        e.remove({id:'tconstruct:smeltery/casting/metal/tin/block'})
        e.remove({id:'tconstruct:smeltery/casting/metal/steel/block'})
        e.remove({id:'tconstruct:smeltery/casting/metal/silver/block'})
        e.remove({id:'tconstruct:smeltery/casting/metal/bronze/block'})
        e.remove({id:'tconstruct:smeltery/casting/metal/constantan/block'})
        e.remove({id:'tconstruct:smeltery/casting/metal/nickel/block'})
        e.remove({id:'tconstruct:smeltery/casting/metal/electrum/block'})
        //Add Tinker
        tinkerCastingBasin("tconstruct:molten_copper", 1296, "thermal:copper_block", 194)
        tinkerCastingBasin("tconstruct:molten_lead", 1296, "thermal:lead_block", 194)
        tinkerCastingBasin("tconstruct:molten_tin", 1296, "thermal:tin_block", 194)
        tinkerCastingBasin("tconstruct:molten_bronze", 1296, "thermal:bronze_block", 194)
        tinkerCastingBasin("tconstruct:molten_nickel", 1296, "thermal:nickel_block", 194)
        tinkerCastingBasin("tconstruct:molten_silver", 1296, "thermal:silver_block", 194)
        tinkerCastingBasin("tconstruct:molten_constantan", 1296, "thermal:constantan_block", 194)
        tinkerCastingBasin("tconstruct:molten_zinc", 1296, "create:zinc_block", 194)
        tinkerCastingBasin("tconstruct:molten_uranium", 1296, "mekanism:block_uranium", 194)
        tinkerCastingBasin("tconstruct:molten_steel", 1296, "mekanism:block_steel", 194)
        tinkerCastingBasin("tconstruct:molten_electrum", 1296, "thermal:electrum_block", 194)
        //AddThermal
        compact3x3("mekanism:ingot_uranium", "mekanism:block_uranium")
        compact3x3("mekanism:ingot_steel", "mekanism:block_steel")
        compact3x3("janoeo:zinc_ingot", "create:zinc_block")
    }
    function gear() {
        /**********************REMOVE**********************/
        //Industrial foregoing gear
        e.remove({ id: 'industrialforegoing:gold_gear' })
        e.remove({ id: 'industrialforegoing:iron_gear' })
        e.remove({ id: 'industrialforegoing:diamond_gear' })
        e.remove({ id: 'tconstruct:smeltery/casting/metal/gold/gear_gold_cast' })
        e.remove({ id: 'tconstruct:smeltery/casting/metal/gold/gear_sand_cast' })
        e.remove({ id: 'tconstruct:smeltery/casting/metal/iron/gear_gold_cast' })
        e.remove({ id: 'tconstruct:smeltery/casting/metal/iron/gear_sand_cast' })
        //Pneumaticcraft gear
        e.remove({ id: 'pneumaticcraft:compressed_iron_gear' })
        //thermal gear        
        e.remove({ id: 'thermal:parts/iron_gear' })
        e.remove({ id: 'thermal:parts/gold_gear' })
        e.remove({ id: 'thermal:parts/lapis_gear' })
        e.remove({ id: 'thermal:parts/diamond_gear' })
        e.remove({ id: 'thermal:parts/emerald_gear' })
        e.remove({ id: 'thermal:parts/quartz_gear' })
        e.remove({ id: 'thermal:parts/copper_gear' })
        e.remove({ id: 'thermal:parts/tin_gear' })
        e.remove({ id: 'thermal:parts/lead_gear' })
        e.remove({ id: 'thermal:parts/silver_gear' })
        e.remove({ id: 'thermal:parts/nickel_gear' })
        e.remove({ id: 'thermal:parts/bronze_gear' })
        e.remove({ id: 'thermal:parts/electrum_gear' })
        e.remove({ id: 'thermal:parts/invar_gear' })
        e.remove({ id: 'thermal:parts/constantan_gear' })
        e.remove({ id: 'thermal:parts/signalum_gear' })
        e.remove({ id: 'thermal:parts/lumium_gear' })
        e.remove({ id: 'thermal:parts/enderium_gear' })
        //thermal plate        
        e.remove({ id: 'thermal:machine/press/press_copper_ingot_to_plate' })
        //pneumaticcraft
        metalPress("pneumaticcraft:ingot_iron_compressed", 4, "pneumaticcraft:compressed_iron_gear", "immersiveengineering:mold_gear", 2400)
        multiservoPress("pneumaticcraft:ingot_iron_compressed", 4, "pneumaticcraft:compressed_iron_gear", "thermal:press_gear_die", 2400)
        //Thermal
        metalPress("minecraft:iron_ingot", 4, "thermal:iron_gear", "immersiveengineering:mold_gear", 2400)
        tinkerCasting("tconstruct:molten_iron", 576, "thermal:iron_gear", "tconstruct:casts/multi_use/gear", false, 100)
        tinkerCasting("tconstruct:molten_iron", 576, "thermal:iron_gear", "tconstruct:casts/single_use/gear", true, 100)
        metalPress("minecraft:gold_ingot", 4, "thermal:gold_gear", "immersiveengineering:mold_gear", 2400)
        tinkerCasting("tconstruct:molten_gold", 576, "thermal:gold_gear", "tconstruct:casts/multi_use/gear", false, 100)
        tinkerCasting("tconstruct:molten_gold", 576, "thermal:gold_gear", "tconstruct:casts/single_use/gear", true, 100)
        metalPress("minecraft:lapis_lazuli", 4, "thermal:lapis_gear", "immersiveengineering:mold_gear", 2400)
        multiservoPress("minecraft:lapis_lazuli", 4, "thermal:lapis_gear", "thermal:press_gear_die", 2400)
        metalPress("minecraft:diamond", 4, "thermal:diamond_gear", "immersiveengineering:mold_gear", 2400)
        multiservoPress("minecraft:diamond", 4, "thermal:diamond_gear", "thermal:press_gear_die", 2400)
        metalPress("minecraft:emerald", 4, "thermal:emerald_gear", "immersiveengineering:mold_gear", 2400)
        multiservoPress("minecraft:emerald", 4, "thermal:emerald_gear", "thermal:press_gear_die", 2400)
        metalPress("minecraft:quartz", 4, "thermal:quartz_gear", "immersiveengineering:mold_gear", 2400)
        multiservoPress("minecraft:quartz", 4, "thermal:quartz_gear", "thermal:press_gear_die", 2400)
        metalPress("thermal:signalum_ingot", 4, "thermal:signalum_gear", "immersiveengineering:mold_gear", 2400)
        metalPress("thermal:lumium_ingot", 4, "thermal:lumium_gear", "immersiveengineering:mold_gear", 2400)
        metalPress("thermal:enderium_ingot", 4, "thermal:enderium_gear", "immersiveengineering:mold_gear", 2400)
    }
    function plate() {
        /**********************REMOVE**********************/
        //Immersive plate
        e.remove({ id: 'immersiveengineering:metalpress/plate_brass' })
        e.remove({ id: 'immersiveengineering:metalpress/plate_copper' })
        e.remove({ id: 'immersiveengineering:metalpress/plate_silver' })
        e.remove({ id: 'immersiveengineering:metalpress/plate_constantan' })
        e.remove({ id: 'immersiveengineering:metalpress/plate_gold' })
        e.remove({ id: 'immersiveengineering:metalpress/plate_lead' })
        e.remove({ id: 'immersiveengineering:metalpress/plate_iron' })
        e.remove({ id: 'immersiveengineering:metalpress/plate_nickel' })
        e.remove({ id: 'immersiveengineering:metalpress/plate_electrum' })
        e.remove({ id: 'immersiveengineering:metalpress/plate_zinc' })
        e.remove({ id: 'createaddition:compat/immersiveengineering/lapis_sheet_metal_press' })
        //create plate
        e.remove({ id: 'create:pressing/brass_ingot' })
        e.remove({ id: 'create:pressing/lapis_block' })
        e.remove({ id: 'create:pressing/copper_ingot' })
        e.remove({ id: 'create:pressing/gold_ingot' })
        e.remove({ id: 'create:pressing/zinc_ingot' })
        e.remove({ id: 'create:pressing/iron_ingot' })
        e.remove({ id: 'createaddition:pressing/zinc_ingot' })
        //Tinker plate
        e.remove({ id: 'tconstruct:smeltery/casting/metal/brass/plate_gold_cast' })
        e.remove({ id: 'tconstruct:smeltery/casting/metal/brass/plate_sand_cast' })
        e.remove({ id: 'tconstruct:smeltery/casting/metal/constantan/plate_gold_cast' })
        e.remove({ id: 'tconstruct:smeltery/casting/metal/constantan/plate_sand_cast' })
        e.remove({ id: 'tconstruct:smeltery/casting/metal/copper/plate_gold_cast' })
        e.remove({ id: 'tconstruct:smeltery/casting/metal/copper/plate_sand_cast' })
        e.remove({ id: 'tconstruct:smeltery/casting/metal/electrum/plate_gold_cast' })
        e.remove({ id: 'tconstruct:smeltery/casting/metal/electrum/plate_sand_cast' })
        e.remove({ id: 'tconstruct:smeltery/casting/metal/gold/plate_gold_cast' })
        e.remove({ id: 'tconstruct:smeltery/casting/metal/gold/plate_sand_cast' })
        e.remove({ id: 'tconstruct:smeltery/casting/metal/iron/plate_gold_cast' })
        e.remove({ id: 'tconstruct:smeltery/casting/metal/iron/plate_sand_cast' })
        e.remove({ id: 'tconstruct:smeltery/casting/metal/lead/plate_gold_cast' })
        e.remove({ id: 'tconstruct:smeltery/casting/metal/lead/plate_sand_cast' })
        e.remove({ id: 'tconstruct:smeltery/casting/metal/nickel/plate_gold_cast' })
        e.remove({ id: 'tconstruct:smeltery/casting/metal/nickel/plate_sand_cast' })
        e.remove({ id: 'tconstruct:smeltery/casting/metal/silver/plate_gold_cast' })
        e.remove({ id: 'tconstruct:smeltery/casting/metal/silver/plate_sand_cast' })
        e.remove({ id: 'tconstruct:smeltery/casting/metal/zinc/plate_gold_cast' })
        e.remove({ id: 'tconstruct:smeltery/casting/metal/zinc/plate_sand_cast' })
        //Immersive
        createPress("janoeo:aluminium_ingot","immersiveengineering:plate_aluminum")
        multiservo("janoeo:aluminium_ingot", 1, "immersiveengineering:plate_aluminum",  2400)
        createPress("mekanism:ingot_uranium","immersiveengineering:plate_uranium")
        createPress("mekanism:ingot_steel","immersiveengineering:plate_steel")
        multiservo("mekanism:ingot_steel", 1, "immersiveengineering:plate_steel",  2400)
        //Create
        createPress("create:brass_ingot","kubejs:brass_plate")
        multiservo("create:brass_ingot", 1, "kubejs:brass_plate",  2400)
        tinkerCasting("tconstruct:molten_brass", 144, "kubejs:brass_plate", "tconstruct:casts/multi_use/plate", false, 100)
        tinkerCasting("tconstruct:molten_brass", 144, "kubejs:brass_plate", "tconstruct:casts/single_use/plate", true, 100)
        metalPress("create:brass_ingot", 1, "kubejs:brass_plate", "immersiveengineering:mold_plate", 2400)
        createPress("minecraft:lapis_block","kubejs:lapis_plate")
        multiservo("minecraft:lapis_block", 1, "kubejs:lapis_plate",  2400)
        metalPress("minecraft:lapis_block", 1, "kubejs:lapis_plate", "immersiveengineering:mold_plate", 2400)
        //thermal
        createPress("minecraft:iron_ingot","thermal:iron_plate")
        tinkerCasting("tconstruct:molten_iron", 144, "thermal:iron_plate", "tconstruct:casts/multi_use/plate", false, 100)
        tinkerCasting("tconstruct:molten_iron", 144, "thermal:iron_plate", "tconstruct:casts/single_use/plate", true, 100)
        metalPress("minecraft:iron_ingot", 1, "thermal:iron_plate", "immersiveengineering:mold_plate", 2400)
        createPress("minecraft:gold_ingot","thermal:gold_plate")
        tinkerCasting("tconstruct:molten_gold", 144, "thermal:gold_plate", "tconstruct:casts/multi_use/plate", false, 100)
        tinkerCasting("tconstruct:molten_gold", 144, "thermal:gold_plate", "tconstruct:casts/single_use/plate", true, 100)
        metalPress("minecraft:gold_ingot", 1, "thermal:gold_plate", "immersiveengineering:mold_plate", 2400)
        createPress("thermal:copper_ingot","thermal:copper_plate")
        tinkerCasting("tconstruct:molten_copper", 144, "thermal:copper_plate", "tconstruct:casts/multi_use/plate", false, 100)
        tinkerCasting("tconstruct:molten_copper", 144, "thermal:copper_plate", "tconstruct:casts/single_use/plate", true, 100)
        metalPress("thermal:copper_ingot", 1, "thermal:copper_plate", "immersiveengineering:mold_plate", 2400)
        multiservo("thermal:copper_ingot", 1, "thermal:copper_plate",  2400)
        createPress("thermal:tin_ingot","thermal:tin_plate")
        createPress("thermal:bronze_ingot","thermal:bronze_plate")
        createPress("thermal:invar_ingot","thermal:invar_plate")
        createPress("thermal:lead_ingot","thermal:lead_plate")
        tinkerCasting("tconstruct:molten_lead", 144, "thermal:lead_plate", "tconstruct:casts/multi_use/plate", false, 100)
        tinkerCasting("tconstruct:molten_lead", 144, "thermal:lead_plate", "tconstruct:casts/single_use/plate", true, 100)
        metalPress("thermal:lead_ingot", 1, "thermal:lead_plate", "immersiveengineering:mold_plate", 2400)
        createPress("thermal:silver_ingot","thermal:silver_plate")
        tinkerCasting("tconstruct:molten_silver", 144, "thermal:silver_plate", "tconstruct:casts/multi_use/plate", false, 100)
        tinkerCasting("tconstruct:molten_silver", 144, "thermal:silver_plate", "tconstruct:casts/single_use/plate", true, 100)
        metalPress("thermal:silver_ingot", 1, "thermal:silver_plate", "immersiveengineering:mold_plate", 2400)
        createPress("thermal:nickel_ingot","thermal:nickel_plate")
        tinkerCasting("tconstruct:molten_nickel", 144, "thermal:nickel_plate", "tconstruct:casts/multi_use/plate", false, 100)
        tinkerCasting("tconstruct:molten_nickel", 144, "thermal:nickel_plate", "tconstruct:casts/single_use/plate", true, 100)
        metalPress("thermal:nickel_ingot", 1, "thermal:nickel_plate", "immersiveengineering:mold_plate", 2400)
        createPress("thermal:electrum_ingot","thermal:electrum_plate")
        tinkerCasting("tconstruct:molten_electrum", 144, "thermal:electrum_plate", "tconstruct:casts/multi_use/plate", false, 100)
        tinkerCasting("tconstruct:molten_electrum", 144, "thermal:electrum_plate", "tconstruct:casts/single_use/plate", true, 100)
        metalPress("thermal:electrum_ingot", 1, "thermal:electrum_plate", "immersiveengineering:mold_plate", 2400)
        createPress("thermal:constantan_ingot","thermal:constantan_plate")
        tinkerCasting("tconstruct:molten_constantan", 144, "thermal:constantan_plate", "tconstruct:casts/multi_use/plate", false, 100)
        tinkerCasting("tconstruct:molten_constantan", 144, "thermal:constantan_plate", "tconstruct:casts/single_use/plate", true, 100)
        metalPress("thermal:constantan_ingot", 1, "thermal:constantan_plate", "immersiveengineering:mold_plate", 2400)
        createPress("janoeo:zinc_ingot","kubejs:zinc_plate")
        tinkerCasting("tconstruct:molten_zinc", 144, "kubejs:zinc_plate", "tconstruct:casts/multi_use/plate", false, 100)
        tinkerCasting("tconstruct:molten_zinc", 144, "kubejs:zinc_plate", "tconstruct:casts/single_use/plate", true, 100)
        metalPress("janoeo:zinc_ingot", 1, "kubejs:zinc_plate", "immersiveengineering:mold_plate", 2400)
        multiservoPress("janoeo:zinc_ingot", 1, "kubejs:zinc_plate",  2400)
        createPress("thermal:signalum_ingot","thermal:signalum_plate")
        metalPress("thermal:signalum_ingot", 1, "thermal:signalum_plate", "immersiveengineering:mold_plate", 2400)
        createPress("thermal:lumium_ingot","thermal:lumium_plate")
        metalPress("thermal:lumium_ingot", 1, "thermal:lumium_plate", "immersiveengineering:mold_plate", 2400)
        createPress("thermal:enderium_ingot","thermal:enderium_plate")
        metalPress("thermal:enderium_ingot", 1, "thermal:enderium_plate", "immersiveengineering:mold_plate", 2400)
        createPress("mysticalagradditions:creative_essence","kubejs:creative_plate")
        metalPress("mysticalagradditions:creative_essence", 1, "kubejs:creative_plate", "immersiveengineering:mold_plate", 2400)
        multiservoPress("mysticalagradditions:creative_essence", 1, "kubejs:creative_plate",  2400)
    }
    function dust() {
        /**********************REMOVE**********************/
        //create
        e.remove({id:'create:crushing/copper_dust'})
        e.remove({id:'create:crushing/lead_dust'})
        e.remove({id:'create:crushing/nickel_dust'})
        e.remove({id:'create:crushing/silver_dust'})
        e.remove({id:'create:crushing/tin_dust'})
        e.remove({id:'create:crushing/coal'})
        e.remove({id:'create:crushing/lapis_lazuli'})
        e.remove({id:'create:crushing/aluminium_dust'})
        e.remove({id:'create:crushing/emerald'})
        e.remove({id:'create:crushing/iron_ingot'})
        e.remove({id:'create:crushing/gold_ingot'})
        e.remove({id:'create:crushing/diamond'})
        e.remove({id:'create:compat/ae2/milling/ender_pearl'})
        e.remove({id:'create:compat/ae2/milling/iron'})
        e.remove({id:'create:compat/ae2/milling/gold'})
        e.remove({id:'create:compat/ae2/milling/nether_quartz'})
        e.remove({id:'createaddition:crushing/diamond'})
        e.remove({id:'createaddition:crushing/diamond_ore'})
        //mekanism
        e.remove({id:'mekanism:enriching/conversion/obsidian_to_obsidian_dust'})
        e.remove({id:'mekanism:processing/iron/dust/from_ingot'})
        e.remove({id:'mekanism:processing/iron/dust/from_ore'})
        e.remove({id:'mekanism:processing/iron/dust/from_dirty_dust'})
        e.remove({id:'mekanism:processing/lead/dust/from_ingot'})
        e.remove({id:'mekanism:processing/lead/dust/from_ore'})
        e.remove({id:'mekanism:processing/lead/dust/from_dirty_dust'})
        e.remove({id:'mekanism:processing/uranium/dust/from_ingot'})
        e.remove({id:'mekanism:processing/uranium/dust/from_ore'})
        e.remove({id:'mekanism:processing/uranium/dust/from_dirty_dust'})
        e.remove({id:'mekanism:processing/tin/dust/from_ingot'})
        e.remove({id:'mekanism:processing/tin/dust/from_ore'})
        e.remove({id:'mekanism:processing/tin/dust/from_dirty_dust'})
        e.remove({id:'mekanism:processing/copper/dust/from_ingot'})
        e.remove({id:'mekanism:processing/copper/dust/from_ore'})
        e.remove({id:'mekanism:processing/copper/dust/from_dirty_dust'})
        e.remove({id:'mekanism:processing/gold/dust/from_ingot'})
        e.remove({id:'mekanism:processing/gold/dust/from_ore'})
        e.remove({id:'mekanism:processing/gold/dust/from_dirty_dust'})
        e.remove({id:'mekanism:processing/lapis_lazuli/to_dust'})
        e.remove({id:'mekanism:processing/quartz/to_dust'})
        e.remove({id:'mekanism:processing/emerald/to_dust'})
        e.remove({id:'mekanism:processing/diamond/to_dust'})
        e.remove({id:'mekanism:processing/bronze/dust/from_infusing'})
        e.remove({id:'mekanism:processing/bronze/dust/from_ingot'})
        e.remove({id:'mekanism:injecting/gunpowder_to_sulfur'})
        e.remove({id:'mekanism:reaction/coal_gasification/blocks_coals'})
        e.remove({id:'mekanism:reaction/coal_gasification/dusts_coals'})
        e.remove({id:'mekanism:reaction/coal_gasification/coals'})
        e.remove({id:'mekanism:sawing/log/warped'})
        e.remove({id:'mekanism:sawing/log/dark_oak'})
        e.remove({id:'mekanism:sawing/log/jungle'})
        e.remove({id:'mekanism:sawing/log/oak'})
        e.remove({id:'mekanism:sawing/log/birch'})
        e.remove({id:'mekanism:sawing/log/acacia'})
        e.remove({id:'mekanism:sawing/log/spruce'})
        e.remove({id:'mekanism:sawing/log/crimson'})
        e.remove({id:'mekanism:sawing/stick'})
        e.remove({id:'mekanism:sawing/stairs'})
        e.remove({id:'mekanism:sawing/planks'})
        e.remove({id:'mekanism:sawing/slabs'})
        //thermal
        e.remove({id:'thermal:compat/immersiveengineering/pulverizer_ie_aluminum_ore'})
        e.remove({id:'thermal:compat/immersiveengineering/pulverizer_ie_uranium_ore'})
        e.remove({id:'thermal:compat/create/pulverizer_create_zinc_ore'})
        e.remove({id:'thermal:machine/pulverizer/pulverizer_sapphire'})
        e.remove({id:'thermal:machine/pulverizer/pulverizer_ruby'})
        //immersive
        e.remove({id:'immersivepetroleum:hydrotreater/sulfur_recovery'})
        e.remove({id: 'pneumaticcraft:explosion_crafting/wheat_flour'})
        e.remove({id: 'pneumaticcraft:pressure_chamber/wheat_flour'})
        e.remove({input: 'bluepower:zinc_tiny_dust'})
        //replace
        replaceIO('#forge:dusts/copper','thermal:copper_dust')
        replaceIO('#forge:dusts/coal','mekanism:dust_coal')
        replaceIO('#forge:dusts/lapis','thermal:lapis_dust')
        replaceIO('#forge:dusts/constantan','thermal:constantan_dust')
        replaceIO('#forge:dusts/electrum','thermal:electrum_dust')
        replaceIO('#forge:dusts/steel','mekanism:dust_steel')
        replaceIO('#forge:dusts/aluminum','janoeo:aluminium_dust')
        replaceIO('#forge:dusts/emerald','thermal:emerald_dust')
        replaceIO('#forge:dusts/iron','thermal:iron_dust')
        replaceIO('#forge:dusts/gold','thermal:gold_dust')
        replaceIO('#forge:dusts/tin','thermal:tin_dust')
        replaceIO('#forge:dusts/bronze','thermal:bronze_dust')
        replaceIO('#forge:dusts/diamond','thermal:diamond_dust')
        replaceIO('#forge:dusts/uranium','janoeo:uranium_dust')
        replaceIO('#forge:dusts/lead','thermal:lead_dust')
        replaceIO('#forge:dusts/sulfur','thermal:sulfur_dust')
        replaceIO('#forge:dusts/obsidian','create:powdered_obsidian')
        replaceIO('#forge:dusts/quartz','thermal:quartz_dust')
        replaceIO('#forge:dusts/flour','pamhc2foodcore:flouritem')
        replaceIO('#forge:dusts/wood','thermal:sawdust')
        //From Ore
        dustFromOre('forge:ores/uranium', 'janoeo:uranium_dust')
        dustFromOre('forge:ores/zinc', 'bluepower:zinc_dust')
        dustFromOre('forge:ores/iron', 'thermal:iron_dust')
        dustFromOre('forge:ores/lead', 'thermal:lead_dust')
        dustFromOre('forge:ores/gold', 'thermal:gold_dust')
        dustFromOre('forge:ores/copper', 'thermal:copper_dust')
        dustFromOre('forge:ores/silver', 'thermal:silver_dust')
        dustFromOre('forge:ores/aluminum', 'janoeo:aluminium_dust')
        dustFromOre('forge:ores/tin', 'thermal:tin_dust')
        dustFromOre('forge:ores/nickel', 'thermal:nickel_dust')
        dustFromOre('forge:ores/dimshard','rftoolsbase:dimensionalshard')
        dustFromOre('forge:ores/prosperity', 'mysticalagriculture:prosperity_shard')
        dustFromOre('forge:ores/inferium', 'mysticalagriculture:inferium_essence')
        pulverizerThermalOre('forge:ores/aluminum','janoeo:aluminium_dust')
        //From Ingot
        dustFromIngot('forge:gems/lapis', 'thermal:lapis_dust')
        dustFromIngot('forge:gems/quartz', 'thermal:quartz_dust')
        dustFromIngot('forge:ingots/zinc', 'bluepower:zinc_dust')
        dustFromIngot('forge:ingots/uranium', 'janoeo:uranium_dust')
        dustFromIngot('forge:ingots/iron', 'thermal:iron_dust')
        dustFromIngot('forge:ingots/lead', 'thermal:lead_dust')
        dustFromIngot('forge:ingots/tin', 'thermal:tin_dust')
        dustFromIngot('forge:ingots/gold', 'thermal:gold_dust')
        dustFromIngot('forge:ingots/copper', 'thermal:copper_dust')
        dustFromIngot('forge:ingots/electrum', 'thermal:electrum_dust')
        dustFromIngot('forge:ingots/bronze', 'thermal:bronze_dust')
        dustFromIngot('forge:ingots/constantan', 'thermal:constantan_dust')
        dustFromIngot('forge:ingots/aluminum', 'janoeo:aluminium_dust')
        dustFromIngot('forge:ender_pearls', 'thermal:ender_pearl_dust')
        dustFromIngot('forge:gems/emerald', 'thermal:emerald_dust')
        dustFromIngot('forge:gems/diamond', 'thermal:diamond_dust')
        createCrushingIngot('forge:gems/lapis', 'thermal:lapis_dust')
        createCrushingIngot('forge:ingots/zinc', 'bluepower:zinc_dust')
        createCrushingIngot('forge:ingots/iron', 'thermal:iron_dust')
        createCrushingIngot('forge:ingots/silver', 'thermal:silver_dust')
        createCrushingIngot('forge:ingots/nickel', 'thermal:nickel_dust')
        createCrushingIngot('forge:ingots/lead', 'thermal:lead_dust')
        createCrushingIngot('forge:ingots/tin', 'thermal:tin_dust')
        createCrushingIngot('forge:ingots/gold', 'thermal:gold_dust')
        createCrushingIngot('forge:ingots/copper', 'thermal:copper_dust')
        createCrushingIngot('forge:ingots/electrum', 'thermal:electrum_dust')
        createCrushingIngot('forge:ingots/constantan', 'thermal:constantan_dust')
        createCrushingIngot('forge:ingots/aluminum', 'janoeo:aluminium_dust')
        createCrushingIngot('forge:ender_pearls', 'thermal:ender_pearl_dust')
        createCrushingIngot('forge:gems/emerald', 'thermal:emerald_dust')
        createCrushingIngot('forge:gems/diamond', 'thermal:diamond_dust')
        createCrushingIngot('forge:gems/quartz', 'thermal:quartz_dust')
        pulverizerThermalIngot('forge:ingots/aluminum', 'janoeo:aluminium_dust')
        pulverizerThermalIngot('forge:gems/sapphire', 'janoeo:sapphire_dust')
        pulverizerThermalIngot('forge:gems/ruby', 'janoeo:ruby_dust')
        pulverizerThermalIngot('forge:ingots/zinc', 'bluepower:zinc_dust')
        dustFromDirty('mekanism:dirty_dusts/uranium', 'janoeo:uranium_dust')
        dustFromDirty('mekanism:dirty_dusts/iron', 'thermal:iron_dust')
        dustFromDirty('mekanism:dirty_dusts/lead', 'thermal:lead_dust')
        dustFromDirty('mekanism:dirty_dusts/tin', 'thermal:tin_dust')
        dustFromDirty('mekanism:dirty_dusts/gold', 'thermal:gold_dust')
        dustFromDirty('mekanism:dirty_dusts/copper', 'thermal:copper_dust')
        //mekanism
        e.custom({"type":"mekanism:metallurgic_infusing","itemInput":{"amount":3,"ingredient":{"tag":"forge:ingots/copper"}},"infusionInput":{"amount":10,"tag":"mekanism:tin"},"output":{"item":"thermal:bronze_dust","count":4}})
        e.custom({"type":"mekanism:injecting","itemInput":{"ingredient":{"tag":"forge:gunpowder"}},"gasInput":{"amount":1,"gas":"mekanism:hydrogen_chloride"},"output":{"item":"thermal:sulfur_dust"}})
        e.custom({"type":"mekanism:reaction","itemInput":[{"ingredient":{"tag":"forge:storage_blocks/coal"}},{"ingredient":{"tag":"forge:storage_blocks/charcoal"}}],"fluidInput":{"amount":1000,"tag":"minecraft:water"},"gasInput":{"amount":1000,"gas":"mekanism:oxygen"},"duration":900,"itemOutput":{"item":"thermal:sulfur_dust","count":9},"gasOutput":{"gas":"mekanism:hydrogen","amount":1000}})
        e.custom({"type":"mekanism:reaction","itemInput":{"ingredient":{"tag":"minecraft:coals"}},"fluidInput":{"amount":100,"tag":"minecraft:water"},"gasInput":{"amount":100,"gas":"mekanism:oxygen"},"duration":100,"itemOutput":{"item":"thermal:sulfur_dust"},"gasOutput":{"gas":"mekanism:hydrogen","amount":100}})
        e.custom({"type":"mekanism:reaction","itemInput":[{"ingredient":{"tag":"forge:dusts/coal"}},{"ingredient":{"tag":"forge:dusts/charcoal"}}],"fluidInput":{"amount":100,"tag":"minecraft:water"},"gasInput":{"amount":100,"gas":"mekanism:oxygen"},"duration":100,"itemOutput":{"item":"thermal:sulfur_dust"},"gasOutput":{"gas":"mekanism:hydrogen","amount":100}})
        e.custom({"type":"mekanism:enriching","input":{"ingredient":{"tag":"forge:obsidian"}},"output":{"item":"create:powdered_obsidian","count":4}})
        e.custom({"type":"mekanism:sawing","input":{"ingredient":{"tag":"minecraft:warped_stems"}},"mainOutput":{"item":"minecraft:warped_planks","count":6},"secondaryOutput":{"item":"thermal:sawdust"},"secondaryChance":0.25})
        e.custom({"type":"mekanism:sawing","input":{"ingredient":{"tag":"minecraft:spruce_logs"}},"mainOutput":{"item":"minecraft:spruce_planks","count":6},"secondaryOutput":{"item":"thermal:sawdust"},"secondaryChance":0.25})
        e.custom({"type":"mekanism:sawing","input":{"ingredient":{"tag":"minecraft:oak_logs"}},"mainOutput":{"item":"minecraft:oak_planks","count":6},"secondaryOutput":{"item":"thermal:sawdust"},"secondaryChance":0.25})
        e.custom({"type":"mekanism:sawing","input":{"ingredient":{"tag":"minecraft:jungle_logs"}},"mainOutput":{"item":"minecraft:jungle_planks","count":6},"secondaryOutput":{"item":"thermal:sawdust"},"secondaryChance":0.25})
        e.custom({"type":"mekanism:sawing","input":{"ingredient":{"tag":"minecraft:dark_oak_logs"}},"mainOutput":{"item":"minecraft:dark_oak_planks","count":6},"secondaryOutput":{"item":"thermal:sawdust"},"secondaryChance":0.25})
        e.custom({"type":"mekanism:sawing","input":{"ingredient":{"tag":"minecraft:crimson_stems"}},"mainOutput":{"item":"minecraft:crimson_planks","count":6},"secondaryOutput":{"item":"thermal:sawdust"},"secondaryChance":0.25})
        e.custom({"type":"mekanism:sawing","input":{"ingredient":{"tag":"minecraft:birch_logs"}},"mainOutput":{"item":"minecraft:birch_planks","count":6},"secondaryOutput":{"item":"thermal:sawdust"},"secondaryChance":0.25})
        e.custom({"type":"mekanism:sawing","input":{"ingredient":{"tag":"minecraft:acacia_logs"}},"mainOutput":{"item":"minecraft:acacia_planks","count":6},"secondaryOutput":{"item":"thermal:sawdust"},"secondaryChance":0.25})
        e.custom({"type":"mekanism:sawing","input":{"ingredient":{"tag":"minecraft:wooden_slabs"}},"mainOutput":{"item":"minecraft:stick","count":3},"secondaryOutput":{"item":"thermal:sawdust"},"secondaryChance":0.125})
        e.custom({"type":"mekanism:sawing","input":{"ingredient":{"tag":"minecraft:planks"}},"mainOutput":{"item":"minecraft:stick","count":6},"secondaryOutput":{"item":"thermal:sawdust"},"secondaryChance":0.25})
        e.custom({"type":"mekanism:sawing","input":{"ingredient":{"tag":"minecraft:wooden_stairs"}},"mainOutput":{"item":"minecraft:stick","count":9},"secondaryOutput":{"item":"thermal:sawdust"},"secondaryChance":0.375})
        e.custom({"type":"mekanism:sawing","input":{"ingredient":{"tag":"forge:rods/wooden"}},"mainOutput":{"item":"thermal:sawdust"}})
        //thermal
        e.custom({"type": "thermal:pulverizer","ingredient": {"tag": "forge:ores/uranium"},"result": [{"item": "janoeo:uranium_dust","chance": 2.0},{"item": "thermal:lead_dust","chance": 0.1},{"item": "minecraft:gravel","chance": 0.2}],"experience": 0.2})
        //immersive
        e.custom({"type": "immersivepetroleum:hydrotreater","time": 1,"energy": 512,"result": {"fluid": "immersivepetroleum:diesel","amount": 7},"input": {"tag": "forge:diesel_sulfur","amount": 7},"secondary_input": {"tag": "minecraft:water","amount": 7},"secondary_result": {"item": "thermal:sulfur_dust","chance": "0.02"}})
        }
    function nugget() {
        /**********************REMOVE**********************/
        e.remove({id:'tconstruct:smeltery/casting/metal/copper/nugget_gold_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/copper/nugget_sand_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/tin/nugget_gold_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/tin/nugget_sand_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/aluminum/nugget_gold_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/aluminum/nugget_sand_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/bronze/nugget_gold_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/bronze/nugget_sand_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/constantan/nugget_gold_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/constantan/nugget_sand_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/electrum/nugget_gold_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/electrum/nugget_sand_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/lead/nugget_gold_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/lead/nugget_sand_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/nickel/nugget_gold_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/nickel/nugget_sand_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/silver/nugget_gold_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/silver/nugget_sand_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/zinc/nugget_gold_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/zinc/nugget_sand_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/uranium/nugget_gold_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/uranium/nugget_sand_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/steel/nugget_gold_cast'})
        e.remove({id:'tconstruct:smeltery/casting/metal/steel/nugget_sand_cast'})
        e.remove({id:'create:splashing/immersiveengineering/crushed_nickel_ore'})
        e.remove({id:'create:splashing/immersiveengineering/crushed_uranium_ore'})
        e.remove({id:'create:splashing/immersiveengineering/crushed_silver_ore'})
        e.remove({id:'create:splashing/iceandfire/crushed_silver_ore'})
        e.remove({id:'create:splashing/eidolon/crushed_lead_ore'})
        e.remove({id:'create:splashing/mekanism/crushed_lead_ore'})
        e.remove({id:'create:splashing/mekanism/crushed_tin_ore'})
        e.remove({id:'create:splashing/immersiveengineering/crushed_lead_ore'})
        e.remove({id:'create:splashing/crushed_copper_ore'})
        //replace
        replaceIO('#forge:nuggets/copper','thermal:copper_nugget')
        replaceIO('#forge:nuggets/bronze','thermal:bronze_nugget')
        replaceIO('#forge:nuggets/tin','thermal:tin_nugget')
        replaceIO('#forge:nuggets/nickel','thermal:nickel_nugget')
        replaceIO('#forge:nuggets/silver','thermal:silver_nugget')
        replaceIO('#forge:nuggets/uranium','mekanism:nugget_uranium')
        replaceIO('#forge:nuggets/steel','mekanism:nugget_steel')
        replaceIO('#forge:nuggets/constantan','thermal:constantan_nugget')
        replaceIO('#forge:nuggets/electrum','thermal:electrum_nugget')
        replaceIO('#forge:nuggets/lead','thermal:lead_nugget')
        e.custom({"type": "create:splashing","ingredients": [{"item": "create:crushed_copper_ore"}],"results": [{"item": "thermal:copper_nugget","count": 10},{"item": "thermal:copper_nugget","count": 5,"chance": 0.5}]})
    }

    function replaceIO(input, output) {
        e.replaceInput({}, input, output);
        e.replaceOutput({}, input, output);
    }

    function tinkerCasting(input, qte, output, cast, consume, time) {
        e.custom({"type": "tconstruct:casting_table","cast": { "tag": cast },"cast_consumed": consume,"fluid": { "name": input, "amount": qte },"result": output,"cooling_time": time})}

    function tinkerCastingBasin(input, qte, output, time) {
        e.custom({"type": "tconstruct:casting_basin","fluid": {"name": input,"amount": qte},"result": {"item": output},"cooling_time": time})}

    function createPress(input, output) {
        e.custom({"type": "create:pressing","ingredients": [{"item": input}],"results": [{"item": output}]})}

    function metalPress(input, qte, output, mold, energy) {
        e.custom({"type": "immersiveengineering:metal_press","mold": { "item": mold },"energy": energy,"input": { "base_ingredient": { "item": input }, "count": qte },"result": { "item": output }})}

    function dustFromOre (input, output) {
        e.custom({"type":"mekanism:enriching","input":{"ingredient":{"tag":input}},"output":{"item":output,"count":2}})}

    function dustFromIngot (input, output) {
        e.custom({"type":"mekanism:crushing","input":{"ingredient":{"tag":input}},"output":{"item":output}})}

    function dustFromDirty (input, output) {
        e.custom({"type":"mekanism:enriching","input":{"ingredient":{"tag":input}},"output":{"item":output}})}

    function oreFromDust (input, output) {
        e.custom({"type":"mekanism:combining","mainInput":{"amount":8,"ingredient":{"tag":input}},"extraInput":{"ingredient":{"tag":"forge:cobblestone"}},"output":{"item":output}})}

    function createCrushingIngot (input, output) {
        e.custom({"type":"create:crushing","ingredients": [{"tag": input}],"results": [{"item": output}],"processingTime": 350})}

    function pulverizerThermalOre (input, output) {        
        e.custom({"type": "thermal:pulverizer","ingredient": {"tag": input},"result": [{"item": output,"chance": 2.0},{"item": output,"chance": 0.1},{"item": "minecraft:gravel","chance": 0.2}],"experience": 0.2,})}

    function pulverizerThermalIngot (input, output) {
        e.custom({"type": "thermal:pulverizer","ingredient": {"tag": input},"result": [{"item": output,"count": 1}],"energy_mod": 0.5})}

    function multiservoPress(input, qte, output, die, energy) {
        e.custom({"type": "thermal:press","input": [{ "item": input, "count": qte },{ "item": die }],"energy": energy,"result": [{ "item": output }]})}

    function multiservo(input, qte, output, energy) {
        e.custom({"type": "thermal:press","input": [{ "item": input, "count": qte }],"energy": energy,"result": [{ "item": output }]})}

    function blastChiller(input, qte, output, energy) {
        e.custom({"type": "thermal:chiller","input": [{"fluid": input, "amount": qte},{"item": "thermal:chiller_ingot_cast"}],"result": [{"item": output}],"energy": energy})}

    function compact3x3(input, output) {e.custom({"type": "thermal:press","input": [{"item": input,"count": 9},{"item": "thermal:press_packing_3x3_die"}],"result": [{"item": output}],"energy": 400})}

    function createCrushingOre (input, output, secoutput){e.custom({"type": "create:crushing","ingredients": [{"tag": input}],"results": [{"item": output},{"item": output,"count": 2,"chance": 0.3},{"item": secoutput,"chance": 0.125}],"processingTime": 400,})}

    function immersiveCrusher (input, output, secoutput){e.custom(
        {"type":"immersiveengineering:crusher","secondaries":[{"chance":0.1,"output":{"item":secoutput}}],"result":{"count":2,"base_ingredient":{"item":output}},"input":{"tag":input},"energy":6000})}

    function intedynaSqueezer (input, output){e.custom(
        {"type": "integrateddynamics:squeezer","item": {"tag": input},"result": {"items": [{"tag": output},{"tag": output,"chance": 0.75}]}})}

    function intedynaMecaSqueezer (input, output){e.custom(
        {"type": "integrateddynamics:mechanical_squeezer","item": {"tag": input},"result": {"items": [{"tag": output,"count": 2},{"tag": output,"chance": 0.5}]},"duration": 40})}

    function combinerMeka (input, output){e.custom(
        {"type":"mekanism:combining","mainInput":{"amount":3,"ingredient":{"item":input}},"extraInput":{"ingredient":{"tag":"forge:cobblestone"}},"output":{"item":output}}
    )}
    function arcFurnaceDust (input, output){e.custom(
        {"type":"immersiveengineering:arc_furnace","results":[{"tag":output}],"additives":[],"input":{"tag":input},"time":100,"energy":51200}
    )}
    function arcFurnaceDust2 (input, output){e.custom(
        {"type":"immersiveengineering:arc_furnace","results":[{"item":output}],"additives":[],"input":{"tag":input},"time":100,"energy":51200}
    )}
    function arcFurnaceOre (input, output) {e.custom(
        {"type":"immersiveengineering:arc_furnace","results":[{"count":2,"base_ingredient":{"tag":output}}],"additives":[],"input":{"tag":input},"slag":{"tag":"forge:slag"},"time":200,"energy":102400}
    )}
    function arcFurnaceOre2 (input, output) {e.custom(
        {"type":"immersiveengineering:arc_furnace","results":[{"count":2,"base_ingredient":{"item":output}}],"additives":[],"input":{"tag":input},"slag":{"tag":"forge:slag"},"time":200,"energy":102400}
    )}
    function tinkerMelt(input, output, qte, tmp, time){
      e.custom({"type": "tconstruct:melting","ingredient": {"tag": input},"result": {"fluid": output,"amount": qte},"temperature": tmp,"time": time})}


})